GWT 2.7.0

## com.google.gwt.user.client.ui
Interface InsertPanel.ForIsWidget

All Superinterfaces:
  IndexedPanel, IndexedPanel.ForIsWidget, InsertPanel

All Known Implementing Classes:
  AbsolutePanel, DeckLayoutPanel, DeckPanel, DecoratedStackPanel, FlowPanel, HorizontalPanel, RootPanel, StackPanel, VerticalPanel

Enclosing interface:
  InsertPanel

    public static interface InsertPanel.ForIsWidget

extends InsertPanel, IndexedPanel.ForIsWidget

Extends this interface with convenience methods to handle `IsWidget`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.InsertPanel
`InsertPanel.ForIsWidget`

Method Summary
`void` | `add(IsWidget w)`
`void` | `insert(IsWidget w, int beforeIndex)`

Methods inherited from interface com.google.gwt.user.client.ui.InsertPanel
`add, insert`

Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget
`getWidgetIndex`

Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel
`getWidget, getWidgetCount, getWidgetIndex, remove`

Method Detail

### add

    void add(IsWidget w)

### insert

    void insert(IsWidget w,
                int beforeIndex)

GWT 2.7.0